opal/util/os_create_dirpath.h File Reference.TH "opal/util/os_create_dirpath.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/os_create_dirpath.h \- Creates a directory tree set to the specified permissions. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <stdio.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_os_create_dirpath\fP (const char *path, const mode_t mode)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Creates a directory tree set to the specified permissions. 

The \fBopal_os_create_dirpath()\fP function creates a directory tree, with each directory that is created in the tree having the specified access permissions. Existing directories within the tree are left untouched - however, if they do not permit the user to create a directory within them, the function will return an error condition.
.PP
If the specified full path name already exists, the \fBopal_os_create_dirpath()\fP function will check to ensure that the final directory in the tree has at least the specified access permission. In other words, if the directory has read-write-execute for all, and the user has requested read-write access for just the user, then the function will consider the directory acceptable. If the minimal permissions are not currently provided, the function will attempt to change the access permissions of the directory to add the specified permissions. The function will return OMPI_ERROR if this cannot be done.
.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC int opal_os_create_dirpath (const char * path, const mode_t mode)"
.PP
\fBParameters:\fP
.RS 4
\fIpath\fP A pointer to a string that contains the path name to be built. 
.br
\fImode\fP A mode_t bit mask that specifies the access permissions for the directories being constructed. 
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIOMPI_SUCCESS\fP If the directory tree has been successfully created with the specified access permissions. 
.br
\fIOMPI_ERROR\fP If the directory tree could not be created with the specified access permissions. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
